Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038735
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementminorhave not tried2018-06-12 09:322018-07-03 09:04
ReportercaristuView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revision2b071325db7c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038735: incorrect query in ReservationUtils

DescriptionThe HQL query defined in the getReservationStockFromStorageDetail method of the ReservationUtils has incorrect bracket balance.

Hibernate 3.6 allows it whereas it is not allowed in newer versions.
Steps To Reproduce1. Using Hibernate 5.3
2. Execute the ReferencedInventoryBoxFullReservationTest.allTests test
  -> ERROR: org.hibernate.hql.internal.ast.QuerySyntaxException: expecting EOF, found ')' near line 1, column 276 [select rs from MaterialMgmtReservationStock rs join rs.reservation r where r.product = :product and coalesce(rs.storageBin, r.storageBin) = :storageBin and coalesce(rs.attributeSetValue, r.attributeSetValue) = :attributeSetValue and r.uOM = :uom and rs.quantity > rs.released)]
Proposed SolutionSee attached file with the proposal
TagsNo tags attached.
Attached Filesdiff file icon reservationUtils.diff [^] (722 bytes) 2018-06-12 09:33 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
blocks feature request 0037064 closedcaristu upgrade hibernate 

-  Notes
(0105135)
AtulOpenbravo (developer)
2018-06-14 03:11

Test Plan
- Use hibernate 5.3 (Platform team development repo:https://code.openbravo.com/erp/devel/pi-hb53 [^])
- Run junit test ReferencedInventoryBoxFullReservationTest.
- Realize that test is executed successfully.

- Use latest pi.
- Run junit test ReferencedInventoryBoxFullReservationTest.
- Realize that test is executed successfully.
(0105448)
hgbot (developer)
2018-06-26 13:11

Repository: erp/devel/pi
Changeset: 2b071325db7c1a52fa433ad07cc89376a8c6a431
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Thu Jun 14 06:34:24 2018 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/2b071325db7c1a52fa433ad07cc89376a8c6a431 [^]

Fixes Issue 38735: incorrect query in ReservationUtils

HQL query in getReservationStockFromStorageDetail method
in ReservationUtils.java had ")" end brace at end with out
"(" start brace in the query. This is not correct but was
allowed in hibernate version 3.6, but hibernate version 5.3
does not allow such error in query. Hence the query is modified
by removing the ")" end brace.

---
M src/org/openbravo/materialmgmt/ReservationUtils.java
---
(0105449)
dmiguelez (developer)
2018-06-26 13:12

Code Review + Testing Ok
(0105469)
hudsonbot (developer)
2018-06-27 13:04

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7721d0db9ee1 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-06-12 09:32 caristu New Issue
2018-06-12 09:32 caristu Assigned To => Triage Finance
2018-06-12 09:32 caristu Modules => Core
2018-06-12 09:32 caristu Triggers an Emergency Pack => No
2018-06-12 09:32 caristu Issue generated from 0038655
2018-06-12 09:33 caristu Relationship added blocks 0037064
2018-06-12 09:33 caristu Proposed Solution updated
2018-06-12 09:33 caristu Proposed Solution updated
2018-06-12 09:33 caristu File Added: reservationUtils.diff
2018-06-12 09:55 dmiguelez Assigned To Triage Finance => AtulOpenbravo
2018-06-13 20:56 AtulOpenbravo Status new => scheduled
2018-06-14 03:11 AtulOpenbravo Note Added: 0105135
2018-06-26 13:11 hgbot Checkin
2018-06-26 13:11 hgbot Note Added: 0105448
2018-06-26 13:11 hgbot Status scheduled => resolved
2018-06-26 13:11 hgbot Resolution open => fixed
2018-06-26 13:11 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/2b071325db7c1a52fa433ad07cc89376a8c6a431 [^]
2018-06-26 13:12 dmiguelez Review Assigned To => dmiguelez
2018-06-26 13:12 dmiguelez Note Added: 0105449
2018-06-26 13:12 dmiguelez Status resolved => closed
2018-06-26 13:12 dmiguelez Fixed in Version => 3.0PR18Q3
2018-06-27 13:04 hudsonbot Checkin
2018-06-27 13:04 hudsonbot Note Added: 0105469
2018-07-03 09:04 caristu Issue cloned 0038877


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker